Bug 163203 - /etc/init.d/dhcpd script has typo
/etc/init.d/dhcpd script has typo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-13 20:40 EDT by jtidman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-14 16:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jtidman 2005-07-13 20:40:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:

The call to dhcpd in configtest() needs method of quieting STDERR output.

configtest()
{
        CFA=''
        if [[ "$DHCPDARGS" = *-cf* ]]; then
	    CFA=`echo $DHCPDARGS | sed 's/^.*-cf[\ \	]*/-cf/;s/[\ \	].*$//;s/-cf/-cf /'`;
        fi;
	/usr/sbin/dhcpd -t $CFA	2>/dev/null
# or	/usr/sbin/dhcpd -t $CFA	-q
	return $?
}



Version-Release number of selected component (if applicable):
dhcp-3.0.2-14.FC4

How reproducible:
Always

Steps to Reproduce:
1. yum update dhcp
2. service dhcpd restart
3.
  

Actual Results:  
only seen when "service dhcp restart" command is used "stop" and "start" do not show program copyright.

restart command shows program copyright:
Internet Systems Consortium DHCP Server V3.0.2
Copyright 2004 Internet Systems Consortium.
All rights reserved.


Expected Results:  Copyright should have been hidden.

Additional info:
Comment 1 Jason Vas Dias 2005-07-14 16:33:34 EDT
This is now fixed in Rawhide (dhcp-3.0.3rc1) and will be fixed in the next
FC-4 and FC-3 releases.

Note You need to log in before you can comment on or make changes to this bug.